@import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Fraunces:ital,opsz,wght@0,9..144,100..900;1,9..144,100..900&family=Inter:wght@100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Work+Sans:ital,wght@0,100..900;1,100..900&family=Young+Serif&display=swap');

*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root{
  --Light-pink: hsl(275, 100%, 97%);
  --Grayish-purple: hsl(292, 16%, 49%);
  --Dark-purple: hsl(292, 42%, 14%);
}



body{
  font-family: "Work Sans", serif;
  background: url(./assets/images/background-pattern-desktop.svg) no-repeat;
  background-size: contain;
  background-position: top;
  background-color: var(--Light-pink);
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* .wrapper{
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
} */


.container{
  display: flex;
  justify-content: center;
  /* align-items: center; */
  flex-direction: column;
  /* width: 30rem;
  padding: .5rem 2.5rem 2rem 2.5rem; */
  max-width: 555px;
  width: 100%;
  padding: 2rem 2.5rem;
  background-color: white;
  border-radius: 20px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  color: var(--Dark-purple);
  gap: 16px;
}

.container header{
  display: flex;
  gap: 22px;
  align-items: center;
  margin-bottom: 12px;
}

.container header h1{
  font-size: 44px;
  font-weight: bold;
}


.answer{
  display: none;
  color: var(--Grayish-purple);
  font-weight: 500;
}


.q-div{
  display: flex;
  /* padding: 12px; */
  /* margin-bottom: 8px; */
  justify-content: space-between;
  /* text-align: left; */
}

.answer.active{
  display: flex;
}

.answer-div{
  padding: 8px;
  margin-bottom: 0px;
  text-align: left;
  /* display: none; */
}

.question{
  color: var(--Dark-purple);
  font-size: 16px;
  font-weight: 600;

}

hr {
  border: 0; 
  height: 1px;
  background-color: var(--Light-pink); 
  margin-bottom: 8px;
}

button{
  width: 28px;
  height: 28px;
  padding: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  outline: none;
  border: none;
  background-color: #AD28EB;
  color: white;
  font-weight: bold;
  cursor: pointer;
}

button i{
  font-size: 16px;
}

.btn-q.non-active{
  display: none;
}

.btn-a{
  display: none;
}

.btn-a.active{
  display: flex;
  background-color: var(--Dark-purple);
}

